curl --request POST \
--url https://backend.tensorpix.ai/api/v2/real-estate/projects/{project_id}/use-demo-photos/ \
--header 'Authorization: <api-key>'import requests
url = "https://backend.tensorpix.ai/api/v2/real-estate/projects/{project_id}/use-demo-photos/"
headers = {"Authorization": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: '<api-key>'}};
fetch('https://backend.tensorpix.ai/api/v2/real-estate/projects/{project_id}/use-demo-photos/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"project_real_estate": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"order": 123,
"created_at": "2023-11-07T05:31:56Z",
"image": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"file": "<string>",
"thumbnail": "<string>",
"external_url": "<string>",
"width": 123,
"height": 123,
"file_size": 123,
"tags": [
"<string>"
],
"name_tag": "<string>"
},
"first_frame": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"file": "<string>",
"thumbnail": "<string>",
"external_url": "<string>",
"width": 123,
"height": 123,
"file_size": 123,
"tags": [
"<string>"
],
"name_tag": "<string>"
},
"original_first_frame": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"file": "<string>",
"thumbnail": "<string>",
"external_url": "<string>",
"width": 123,
"height": 123,
"file_size": 123,
"tags": [
"<string>"
],
"name_tag": "<string>"
},
"animation_prompt": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"text": "<string>"
},
"vfx_prompt": "<string>",
"description_job": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"camera_movement": "auto",
"transition_in": "none",
"transition_out": "none",
"playback_speed": 123,
"requested_duration_s": 123,
"duration_s": 123,
"crop_x": 123,
"crop_y": 123,
"crop_width": 123,
"crop_height": 123,
"video_start_time_s": 123,
"video_end_time_s": 123,
"selected_video": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"name_tag": "<string>",
"tags": [
"<string>"
],
"created_at": "2023-11-07T05:31:56Z",
"file": "<string>",
"external_url": "<string>",
"thumbnail": "<string>",
"last_frame": "<string>",
"width": 123,
"height": 123,
"file_size": 123,
"num_frames": 123,
"framerate": 123,
"duration_s": 123,
"bitrate": 123,
"codec_id": "<string>",
"bit_depth": 123,
"chroma_subsampling": "<string>",
"color_space": "<string>"
},
"rendered_video": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"name_tag": "<string>",
"tags": [
"<string>"
],
"created_at": "2023-11-07T05:31:56Z",
"file": "<string>",
"external_url": "<string>",
"thumbnail": "<string>",
"last_frame": "<string>",
"width": 123,
"height": 123,
"file_size": 123,
"num_frames": 123,
"framerate": 123,
"duration_s": 123,
"bitrate": 123,
"codec_id": "<string>",
"bit_depth": 123,
"chroma_subsampling": "<string>",
"color_space": "<string>"
}
}
]{
"detail": "<unknown>",
"error_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"detail": "<string>",
"error_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"detail": "<string>",
"error_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"detail": "<string>",
"error_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"detail": "<string>",
"error_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"error": "<string>",
"error_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}Add demo photos to a real estate project
Populate one empty project with fixed demo image assets and ordered shots. The response contains the new shots. This action does not start image description, shot video generation, voiceover generation, or rendering.
Authorizations
Token-based authentication with required prefix "Token"
Path Parameters
Response
Real-estate project this shot belongs to.
Zero based position in the project timeline.
Datetime when the record was created.
Original shot frame, or the current first frame when no original is saved.
Show child attributes
Show child attributes
Serializer for ImageAsset with basic fields.
Show child attributes
Show child attributes
Serializer for ImageAsset with basic fields.
Show child attributes
Show child attributes
Serializer for TextAsset with basic fields.
Show child attributes
Show child attributes
Original VFX prompt sent by the client for this shot.
Job that stores the current first frame description, when one exists.
Camera motion directive used for real-estate shot video generation.
auto- Autostatic- Staticpan_left- Pan Leftpan_right- Pan Rightorbit_left_to_right- Orbit Left To Rightorbit_right_to_left- Orbit Right To Lefttruck_left- Truck Lefttruck_right- Truck Rightdolly_in- Dolly Indolly_out- Dolly Outtilt_up- Tilt Uptilt_down- Tilt Down
auto, static, pan_left, pan_right, orbit_left_to_right, orbit_right_to_left, truck_left, truck_right, dolly_in, dolly_out, tilt_up, tilt_down Transition effect used when this shot enters the project timeline.
none- Nonefade- Fade
none, fade Reserved transition effect used when this shot leaves the project timeline.
none- Nonefade- Fade
none, fade Render-time playback speed for the selected video.
Read only source range duration before playback speed.
Final shot duration after playback speed.
Saved crop left coordinate in relative image units from 0.0 to 1.0.
Saved crop top coordinate in relative image units from 0.0 to 1.0.
Saved crop width in relative image units from 0.0 to 1.0.
Saved crop height in relative image units from 0.0 to 1.0.
Start offset in seconds within the selected source video.
End offset in seconds within the selected source video.
Serializer for VideoAsset with basic fields.
Show child attributes
Show child attributes
Serializer for VideoAsset with basic fields.
Show child attributes
Show child attributes
Was this page helpful?